org.keycloak.adapters

## Class RequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator

- Direct Known Subclasses:
    CatalinaRequestAuthenticator, CatalinaRequestAuthenticator, UndertowRequestAuthenticator

      public abstract class RequestAuthenticator
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthChallenge` | `challenge`
    `protected KeycloakDeployment` | `deployment`
    `protected HttpFacade` | `facade`
    `protected static org.jboss.logging.Logger` | `log`
    `protected int` | `sslRedirectPort`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment)`
    `RequestAuthenticator(HttpFacade facade, KeycloakDeployment deployment, int sslRedirectPort)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthOutcome` | `authenticate()`
    `protected void` | `completeAuthentication(BearerTokenRequestAuthenticator bearer)`
    `protected void` | `completeAuthentication(OAuthRequestAuthenticator oauth)`
    `protected abstract void` | `completeBearerAuthentication(KeycloakPrincipal principal, RefreshableKeycloakSecurityContext session)`
    `protected abstract void` | `completeOAuthAuthentication(KeycloakPrincipal principal, RefreshableKeycloakSecurityContext session)`
    `protected BearerTokenRequestAuthenticator` | `createBearerTokenAuthenticator()`
    `protected abstract OAuthRequestAuthenticator` | `createOAuthAuthenticator()`
    `AuthChallenge` | `getChallenge()`
    `protected abstract boolean` | `isCached()`
    `protected boolean` | `verifySSL()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static org.jboss.logging.Logger log

    - #### facade

          protected HttpFacade facade

    - #### deployment

          protected KeycloakDeployment deployment

    - #### challenge

          protected AuthChallenge challenge

    - #### sslRedirectPort

          protected int sslRedirectPort

  - ### Constructor Detail

    - #### RequestAuthenticator

          public RequestAuthenticator(HttpFacade facade,
                              KeycloakDeployment deployment,
                              int sslRedirectPort)

    - #### RequestAuthenticator

          public RequestAuthenticator(HttpFacade facade,
                              KeycloakDeployment deployment)

  - ### Method Detail

    - #### getChallenge

          public AuthChallenge getChallenge()

    - #### authenticate

          public AuthOutcome authenticate()

    - #### verifySSL

          protected boolean verifySSL()

    - #### createOAuthAuthenticator

          protected abstract OAuthRequestAuthenticator createOAuthAuthenticator()

    - #### createBearerTokenAuthenticator

          protected BearerTokenRequestAuthenticator createBearerTokenAuthenticator()

    - #### completeAuthentication

          protected void completeAuthentication(OAuthRequestAuthenticator oauth)

    - #### completeOAuthAuthentication

          protected abstract void completeOAuthAuthentication(KeycloakPrincipal principal,
                                         RefreshableKeycloakSecurityContext session)

    - #### completeBearerAuthentication

          protected abstract void completeBearerAuthentication(KeycloakPrincipal principal,
                                          RefreshableKeycloakSecurityContext session)

    - #### isCached

          protected abstract boolean isCached()

    - #### completeAuthentication

          protected void completeAuthentication(BearerTokenRequestAuthenticator bearer)

Copyright © 2014. All Rights Reserved.